Package org.eclipse.microprofile.fault.tolerance.tck.metrics.util

# Enum MetricDefinition.BulkheadResult

java.lang.Object
java.lang.Enum<MetricDefinition.BulkheadResult>
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricDefinition.BulkheadResult

All Implemented Interfaces:
  `Serializable`, `Comparable<MetricDefinition.BulkheadResult>`, `MetricDefinition.TagValue`

Enclosing class:
  MetricDefinition

public static enum MetricDefinition.BulkheadResult extends Enum<MetricDefinition.BulkheadResult> implements MetricDefinition.TagValue

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPTED`
`REJECTED`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.microprofile.metrics.Tag`
`getTag()`
`static MetricDefinition.BulkheadResult`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetricDefinition.BulkheadResult[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACCEPTED

public static final MetricDefinition.BulkheadResult ACCEPTED

### REJECTED

public static final MetricDefinition.BulkheadResult REJECTED

## Method Details

### values

public static MetricDefinition.BulkheadResult[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MetricDefinition.BulkheadResult valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTag

public org.eclipse.microprofile.metrics.Tag getTag()

Specified by:
  `getTag` in interface `MetricDefinition.TagValue`